Subject: Re: 23.0.92; GtkFileSelection is deprecated

From: Chong Yidong <[email-masked]>
Date: Sat, 18 Apr 2009 09:48:31 -0400

> Emacs uses GtkFileSelection in gtkutil.c which has been deprecated in
> GTK+ 2.12.  That means that it will not build with a future GTK+ 3.0,
> or with -DGTK_DISABLE_DEPRECATED in a current GTK+ 2.x.

Actually, Emacs does support the new GTK file chooser.  It's used if
HAVE_GTK_FILE_CHOOSER_DIALOG_NEW is defined, which is set by configure
upon checking the existence of the function gtk_file_chooser_dialog_new.
Is it not available on your system?